#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    int a[n];
    for(int i=0; i< n; i++)cin >> a[i];
    int p[n+1];
    p[0]=0; p[1]=0;
    for(int i=1; i<n; i++){
        p[i+1]=p[i];
        if(a[i]<a[i-1]){
            p[i+1]++;
        }
    }
    int q;
    cin >> q;
    for(int i=0; i< q; i++){
        int l, r;
        cin >> l >> r;
        if(p[r]-p[l-1]>1){
            cout << "NE\n";
        }
        else cout << "DA\n";
    }
}